package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FiscalImpressora;

public class RenderFiscalImpressora implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		FiscalImpressora fiscalImpressora = (FiscalImpressora) o;

		Listcell lc = new Listcell(fiscalImpressora.getFiscalimpressoraId().toString());
		lc.setParent(lstm);

		lc = new Listcell(fiscalImpressora.getMarca());
		lc.setParent(lstm);
		
		lc = new Listcell(fiscalImpressora.getModelo());
		lc.setParent(lstm);

		lc = new Listcell(fiscalImpressora.getNumserie20());
		lc.setParent(lstm);
		
		lc = new Listcell(fiscalImpressora.getVersionsb());
		lc.setParent(lstm);
		
		lc = new Listcell(fiscalImpressora.getCniee());
		lc.setParent(lstm);

	}

}
